<?php
/**
 * Class IS_Medify_Content_Archive_Page
 * 
 * @package IS-Medify
 * 
 * @since 1.0.0
 *  
*/
class IS_Medify_Content_Archive_Page {

	/**
	 * Class Construct Method.
	*/
	public function __construct() {
		$this->IS_Medify_Setup_Hook_Archive_page();
	}

	/**
	 * IS_Medify_Setup_Hook_Archive_page Function For Archive Page .
	*/
	public function IS_Medify_Setup_Hook_Archive_page() {
		add_action( 'IS_Medify_Do_Function_Archive', array( $this, 'IS_Medify_Archive_page' ) );
	}

	/**
	 * IS-Medify Archive page.
	*/
	public function IS_Medify_Archive_page() { ?>
		<div class="container-fluid space" id="primary">
			<div class="container blogs">
				<!-- Post Area -->
				<div class="col-md-9 rightside">
						<?php 
						if ( have_posts()): 
							/* Start the Loop */
							while ( have_posts() ): the_post(); 
							    				/*
								/* Include the Post-Type-specific template for the content.
								 * If you want to override this in a child theme, then include a file
								 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
								*/
								get_template_part( 'template-parts/content', get_post_type() );
							endwhile;
						else:
							get_template_part('post','nocontent');
						endif; 
						?>
						<div class="text-center wl-theme-pagination">
			                <?php echo esc_html( the_posts_pagination( array( 'mid_size' => 2 ) ) ); ?>
			                <div class="clearfix"></div>
			            </div>
				</div>
			<!-- Sidebar Start -->
			<?php get_sidebar(); ?>
			<!-- Sidebar End -->
			</div>
		</div>
		<!-- Right End -->
		<?php
	}
}
new IS_Medify_Content_Archive_Page;